Bug 115314 - new netpbm package patch broken; relies on newer mktemp
new netpbm package patch broken; relies on newer mktemp
Product: Red Hat Linux
Classification: Retired
Component: netpbm (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2004-02-10 11:56 EST by Matthew Miller
Modified: 2007-04-18 13:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-02 08:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2004-02-10 11:56:00 EST
The recent update to netpbm (bug #113842) makes it use the -t flag to
mktemp. (That's its whole point.) 

Unfortunately, that doesn't work on Red Hat Linux 9, because the
mktemp package is only 1.5-18, which doesn't have that flag. And I
couldn't find an update to a newer version.

Suggested fix -- update mktemp too. The package from Fedora Core 1
should work.
Comment 1 Phil Knirsch 2004-02-10 12:07:26 EST
We'll be doing a RHBA for mktemp and a new RHBA for netpbm, too which
will require the new mktemp.

Will close this bug when the erratas have been released.


Read ya, Phil
Comment 2 Matthew Miller 2004-02-10 12:08:40 EST
Great, thanks. Can you give me a rough idea on timeframe? (Hours,
days, weeks?)
Comment 3 Phil Knirsch 2004-02-11 10:21:29 EST
A release date isn't clear yet, but installing the mktemp from FC1 or
FC2 should work, too, until the errata has been released.

Rough time estimate is probably a few weeks at maximum.

Read ya, Phil
Comment 4 Matthew Miller 2004-04-16 10:17:12 EDT
Not to be a pain, but is this going to happen before the RHL9 EOL?
'Cause it really ought to.
Comment 5 Jindrich Novy 2004-09-02 08:46:21 EDT
mktemp -t is used only in ppmquantall, ppmshadow, pnmmargin and
anytopnm. I tested netpbm-10.24 (rawhide) anytopnm and it works fine
for me on FC2. Hence it seems like RH9 issue which is fixed in FC.


Note You need to log in before you can comment on or make changes to this bug.